%define name 	cmake
%define version 2.2.0
%define release 1

%define shortVersion %(echo %{version} | cut -d. -f1,2)

Summary: 	Cross-platform, open-source make system
Name: 		%name
Version: 	%version
Release: 	%mkrel %release
License: 	BSD
Group: 		Development/Other
Url: 		http://www.cmake.org/HTML/Index.html
Source: 	http://www.cmake.org/files/v%{shortVersion}/%name-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  chrpath
BuildRequires:  perl
BuildRequires:  ncurses-devel

%description
CMake is used to control the software compilation process using
simple platform and compiler independent configuration files.
CMake generates native makefiles and workspaces that can be
used in the compiler environment of your choice. CMake is quite
sophisticated: it is possible to support complex environments
requiring system configuration, pre-processor generation, code
generation, and template instantiation.

%prep

%setup -q
%ifarch x86_64
perl -pi -e 's#usr/lib#usr/lib64#' `find -type f`
perl -pi -e 's#/usr/X11R6/lib#/usr/X11R6/lib64#' `find -type f`

%endif

%build
# --libdir is not used... unable avoid rpmlint error :'-(
./configure --prefix=%{_prefix} --mandir=/share/man #--libdir=%{_libdir}

%make

# fix rpath
chrpath -d bin/c*


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

# docs are managed with %doc
rm -rf $RPM_BUILD_ROOT/%{_prefix}/doc


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/cmake
%_bindir/ccmake
%_bindir/ctest
%_mandir/*/*
%_datadir/CMake
%doc CMake.pdf CMakeLogo.gif ChangeLog.txt Docs/* Example

%changelog
* Mon Jul 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2.0-1mdk
- 2.2.0
- make it more rpmbuildupdatable
- buildrequires ncurses-devel
- list files in bindir to be sure that ccmake is built

* Thu Jun  9 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.6-3mdk
- also fix X11 lib path on x86_64

* Thu Jun  9 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.6-2mdk
- fix lib path to make ccmake compile on x86_64. It should also help
  to find lib with this arch

* Tue Apr 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.6-1mdk
- New release 2.0.6
- use mkrel

* Fri Mar 11 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.5-2mdk
- fix some lint
- add examples in docs

* Tue Nov 23 2004 Gaetan LEHMANN <gaetan.lehmann@jouy.inra.fr> 2.0.5-1mdk
- 2.0.5

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.7-2mdk
- Rebuild

* Thu Jul 17 2003 Austin Acton <aacton@yorku.ca> 1.6.7-1mdk
- 1.6.7

* Thu Jan 9 2003 Austin Acton <aacton@yorku.ca> 1.4.7-1mdk
- initial package
